TrainingProject Files
List Training Files
Retrieve a paginated list of documents currently uploaded to your knowledge base. **Permission required:** Training > Read
Retrieve a paginated list of documents currently uploaded to your knowledge base.
Permission required: Training > Read
Authorization
bearerToken
AuthorizationBearer <token>
API token for YourGPT Public APIs. Create tokens in Settings > API Tokens in your YourGPT dashboard.
In: header
Request Body
application/json
project_uid*string
Project identifier.
limit?integer
Results per page.
Default
10page?integer
Page number.
Default
1orderBy?string
Sort order.
Default
"DESC"Value in
"ASC" | "DESC"status?string
Filter by status.
tags?string
Filter by tags (comma-separated).
Response Body
application/json
application/json
application/json
curl -X POST "https://api.yourgpt.ai/chatbot/v1/getProjectFiles" \ -H "Content-Type: application/json" \ -d '{ "project_uid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890" }'{
"type": "RXSUCCESS",
"message": "Data Fetched Successfully!",
"total": 3,
"data": [
{
"id": 3001,
"project_id": 12345,
"name": "product-guide.pdf",
"status": "completed",
"size": 245000,
"tags": null,
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": "2025-01-15T10:30:00.000Z"
}
]
}{
"type": "RXERROR",
"message": "string"
}{
"type": "RXERROR",
"message": "Invalid or expired API token"
}